﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CalcHelper
{
    public partial class CloseLinkWarnMsg : Form
    {
        public CloseLinkWarnMsg()
        {
            InitializeComponent();
        }

        // Return the state of the checkbox.
        public bool WarnMsgOff
        {
            get { return calcLinkWarnChkBox.Checked; }
        }

        private void CloseLinkWarnMsg_Load(object sender, EventArgs e)
        {
            if (Owner != null)
            {
                // Center warning message window in Parent form.
                Location = new Point(Owner.Location.X + Owner.Width / 2 - Width / 2,
                    Owner.Location.Y + Owner.Height / 2 - Height / 2);
            }
        }
    }
}
